$schema: "https://json-schema.org/draft/2020-12/schema"
title: "MilestoneReached"
type: "object"

properties:
  process_model:
    type: string
  process_instance_id:
    type: integer
  milestone:
    type: string
  metadata:
    type: object
  error_info:
    type: object

required:
  - process_model
  - process_identifier
  - milestone
  - metadata
  - error_info

examples:
  - process_model: myome/mainline/start-mainline-flow
    process_instance_id: 1234
    milestone: Sample Accessioned
    metadata:
      init_data:
        requisition_id: RQ1234
        workorder_id: WO4567
      product_ids:
        - PR111
        - PR222
      product_id: PR111
    error_info: {}
